:root {
    --color-accent: #00ffe6;
    --color-light: #f4f4f4;
    --color-dark: black;
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

html, body {
    width: 100%;
    height: 100%;
    background-color: var(--color-dark);
    overflow-y: auto;
    font-family: 'Inconsolata', monospace;
    font-size: 14px;
    line-height: 1.8;
}

p, span {
    color: var(--color-light);
    margin-bottom: 14px;
}

a {
    color: var(--color-accent);
    text-decoration: none;
}

a:hover {
    text-decoration: underline;
}

h1 {
    color: var(--color-dark);
    background-color: var(--color-light);
    font-size: 14px;
    margin-bottom: 14px;  
    padding-left: 8px;
    padding-right: 8px
} 

hr {
    border: none;
    margin: 16px 0;
}

.contact-text {
    margin-top: 24px;
    margin-bottom: 16px;
    padding: 8px;
    border: 1px solid var(--color-light);
}

.disclaimer {
    color: var(--color-accent);
    font-size: 12px;
    padding: 4px 8px 4px 8px;
    border: 1px solid var(--color-accent);
}


.disclaimer-title {
    color: var(--color-dark);
    background-color: var(--color-accent);
    font-size: 12px;
    padding: 4px 8px 4px 8px;
    border: 1px solid var(--color-accent);
}

.disclaimerlink {
    color: var(--color-accent);
}

.disclaimerlink:hover,
.disclaimerlink:focus {
    text-decoration: underline;
    cursor: pointer;
} 

.container {
    display: flex;
    width: 100%;
    min-height: 100vh;
    flex-direction: column;
}

top {
    display: flex;
    flex-direction: column;
}

content {
    display: flex;
    width: 100%;
    flex-direction: row;
}

.header {
    width: 100%;
    padding: 40px 24px 24px 24px;
    position: relative;
    display: flex;
    min-height: 150px;
}

.logo-container {
    width: 232px;
    height: auto;
    display: flex;
}

.logo-container img {
    max-width: 232px;
    object-fit: contain;
}

.nav {
    width: 100%;
    padding: 0 24px 24px 24px;
}

.main-content {
    flex: 1;
    padding: 0 260px 0 280px;
    max-width: 1600px;
}

footer {
    display: flex;
    width: 100%;
    padding: 24px 24px 24px 24px;
    justify-content: left;
    flex: 1;
    flex-direction: row;
}

footer p {
    color: var(--color-light);
    font-size: 14px;
    margin-bottom: 16px;
}


.modal {
    display: none;
    position: fixed;
    z-index: 1;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    overflow: auto;
    background-color: rgb(0,0,0);
    background-color: rgba(0,0,0,0.6);
}

.modal-header {
    display: flex;
    justify-content: flex-start;
    align-items: center;
    width: 100%;
    height: 48px;
    margin-bottom: 16px;
}

.modal-header h1, span {
    margin: 0;
    width: 100%;
}

.modal-content {
    background-color: var(--color-light);
    margin: 24px auto;
    padding: 24px;
    width: 75%;
}

.modal-content h1 {
    color: white;
    background-color: var(--color-dark);
}

.modal-content p {
    color: var(--color-dark);
}

.modal-content a {
    color: var(--color-dark);
    text-decoration: underline;
}

.modal-content a:hover {
    color: var(--color-dark);
    text-decoration: dotted underline;
}

.close {
    color: var(--color-dark);
    margin-left: auto;
    text-align: center;
    font-size: 32px;
    font-weight: bold;
    width: 48px;
    height: 48px;
    line-height: 48px;
}

.close:hover,
.close:focus {
    color: black;
    text-decoration: none;
    cursor: pointer;
} 

/* Small window (1160px and below) */
@media (max-width: 1160px) {
    content {
        flex-direction: column;
    }

    .main-content {
        width: 100%;
        padding: 0 10% 0 10%;
    }
}

/* Tablet screens (768px and below) */
@media (max-width: 768px) {
    content {
        flex-direction: column;
    }

    .main-content {
        width: 100%;
        padding: 0 24px 0 24px;
    }

    .modal-content {
        background-color: var(--color-light);
        margin: 0 auto;
        padding: 24px;
        width: 100%;
    }

    p, a, h1 {
        font-size: 16px;
    }

    footer p {
        color: var(--color-light);
        font-size: 16px;
        margin-bottom: 24px;
    }

    .disclaimer, .disclaimer-title, .disclaimer a {
        font-size: 14px;
    }
}

/* Tablet screens (485px and below) */
@media (max-width: 485px) {
    .disclaimerlink {
        display: inline-block;
    }
}